Subject: Re: [ippm] media type template (New Performance Metrics Regsitry)

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Wed, 19 Oct 2016 16:36:22 -0400

IPPM,
please see the discussion below for issues where we
seek community input.

thanks,
Al
(for the co-authors)

From: Michelle Cotton [mailto:[email-masked]]
Sent: Wednesday, October 19, 2016 11:12 AM
To: MORTON, ALFRED C (AL)
Cc: Sabrina Tanamal; Amanda Baber
Subject: Re: media type template (New Performance Metrics Regsitry)

The discussion can be moved to the IPPM list.
I think it’s up to you all to decide if this is what everyone wants.
Let us know if anything changes and another review is needed.

Thanks!

--Michelle

From: "MORTON, ALFRED C (AL)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, October 18, 2016 at 2:46 PM
To: Michelle Cotton <[email-masked]<mailto:[email-masked]>>, "MORTON, ALFRED C (AL)" <[email-masked]<mailto:[email-masked]>>
Cc: Sabrina Tanamal <[email-masked]<mailto:[email-masked]>>, Amanda Baber <[email-masked]<mailto:[email-masked]>>
Subject: RE: media type template (New Performance Metrics Regsitry)

Hi Michelle,

Yes, after studying the registry descriptions in the
relevant RFCs (Oct 1 message below), I concluded as you
understood below: that we should add “metric” under the ietf tree.

Can we move this discussion to IPPM-list?  As you said,
we want to assess community support for this, starting with ippm wg.

This doesn’t address the need for a sub-registry for metric name elements
yet, but that’s a related question (do we need it? then, where to put it).

regards from Munich,
Al

From: Michelle Cotton [mailto:[email-masked]]
Sent: Tuesday, October 18, 2016 2:44 PM
To: MORTON, ALFRED C (AL)
Cc: Sabrina Tanamal; Amanda Baber
Subject: Re: media type template (New Performance Metrics Regsitry)

Hello Al,

Just to re-confirm I understand, you are looking to add “metrics” in the following registry:
IETF URN Sub-namespaces at http://www.iana.org/assignments/params/params.xhtml#urn-subnamespaces[iana.org]<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.iana.org_assignments_params_params.xhtml-23urn-2Dsubnamespaces&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=eb-BMgV7Hh_dBzygSW4LV6wjLZNM-ugaUkQd-zaghx8&s=6V4XD95fbfB3-iBbBpI2IwgUykoPE122awz7zFYj4y0&e=>

I don’t think it would be a problem to add metric under the ietf urn tree.  As long as the community supports it, we can add it.

We could add a similar registry under the params registry for metrics or have it in a different location.  That depends on the question you raised below about having sub-registries for the entries.

Let me know if I’ve understood correctly and if you have any more questions.

--Michelle

From: "MORTON, ALFRED C (AL)" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, October 1, 2016 at 8:45 AM
To: Michelle Cotton <[email-masked]<mailto:[email-masked]>>
Cc: Sabrina Tanamal <[email-masked]<mailto:[email-masked]>>, Amanda Baber <[email-masked]<mailto:[email-masked]>>
Subject: RE: media type template (New Performance Metrics Regsitry)

Hi Michelle,

I’m finally making good progress on the registry again,
mostly on the long flight home from the “Left” coast
yesterday. The remaining questions in my mind are related
to the URN name assignment.

Co-author Marcelo originally proposed the prefix:
urn:ietf:params:ippm:metric:<followed by the metric name>

You raised a question about this below, so I looked into
the relevant RFCs this morning.

urn:ietf:params:  seems to be for protocol parameters, and
that’s not quite the same as our registry of performance
metrics.

urn:ietf:id:   seems to be for Internet Drafts (I didn’t think so at first)
https://tools.ietf.org/html/rfc6924[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc6924&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=RaJtcDoBUMKcfa-1uDhPKstvVaVXEOeV_zU9F3DYwdk&e=>
   Note: This is the Official Registry for sub-namespaces of the 'IETF'
   URN Namespace.

   Sub-namespace | Reference | IANA Registry Reference
   --------------+-----------+-----------------------------------------
   rfc           | [RFC2648[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=mx6kQYD8f4D8oG06XR_EW36SLKicmJ7Ji5QokdEVMwk&e=>] | none
   fyi           | [RFC2648[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=mx6kQYD8f4D8oG06XR_EW36SLKicmJ7Ji5QokdEVMwk&e=>] | none
   std           | [RFC2648[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=mx6kQYD8f4D8oG06XR_EW36SLKicmJ7Ji5QokdEVMwk&e=>] | none
   bcp           | [RFC2648[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=mx6kQYD8f4D8oG06XR_EW36SLKicmJ7Ji5QokdEVMwk&e=>] | none
   id            | [RFC2648[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=mx6kQYD8f4D8oG06XR_EW36SLKicmJ7Ji5QokdEVMwk&e=>] | none
   mtg           | [RFC2648[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=mx6kQYD8f4D8oG06XR_EW36SLKicmJ7Ji5QokdEVMwk&e=>] | none
   params        | [RFC3553[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc3553&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=9ZQ8wBMcFBGcInj1ZjSNVokw-hbKxOBlPROzIZk-BYc&e=>] | [http://www.iana.org/assignments/params]
   --------------+-----------+-----------------------------------------

and “id’ is explained a bit more clearly in RFC 2648,
https://tools.ietf.org/html/rfc2648[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=eb-BMgV7Hh_dBzygSW4LV6wjLZNM-ugaUkQd-zaghx8&s=YXDDrCR9Ifltqs7Q30nGCNvC5Wnbb9Axs1QPToo3lUY&e=>

      Declaration of structure:

            The identifier has the following ABNF [2[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2648-23ref-2D2&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=tKQ44JJYYt5MQWxIo8ZVEP42fmt1vFrK_ilrWEtpsN4&e=>] specification:

            NSS = rfc-nss / fyi-nss / std-nss / bcp-nss /

                  draft-nss[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dnss&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=FEyc8JNLiBN8cIAiVEzuomQzvTyVTGATKKKdMmj2T60&e=> / mtg-nss / other-nss

            rfc-nss = "rfc:" 1*DIGIT

            fyi-nss = "fyi:" 1*DIGIT

            std-nss = "std:" 1*DIGIT

            bcp-nss = "bcp:" 1*DIGIT

            draft-nss[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dnss&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=FEyc8JNLiBN8cIAiVEzuomQzvTyVTGATKKKdMmj2T60&e=> = "id:" string

            mtg-nss = "mtg:" string

            other-nss = string

              ; beginning with a prefix other than one of those

              ; above for future expansion

After looking RFC 2648, 3553, and 6924 over, I’m beginning
to think we should request a new registered sub-namespace of “ietf”.
This could simply be:

urn:ietf:metric:<followed by the metric name>

Your thoughts on this?  Is this a big deal to request a new sub-namespace?

Also, I suggest we could use “:” to separate the elements of the “Name”
field that we define (we currently use underscore “_” )
https://tools.ietf.org/html/draft-ietf-ippm-metric-registry-07#section-7.1.2[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dippm-2Dmetric-2Dregistry-2D07-23section-2D7.1.2&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=wOCQL2BajlFt_QXAWOgECy3GNEU-UrcaehIZkZlCLOo&e=>

Does that change seem helpful to you?

The remaining question is whether we will need a sub-registry for
the many possible parts of each element of the “Name”, but let’s
table that for now.

Let me know what you think of the above, and any preferences on proceeding.

thanks!
Al

From: Michelle Cotton [mailto:[email-masked]]
Sent: Wednesday, July 20, 2016 10:12 AM
To: MORTON, ALFRED C (AL)
Cc: Sabrina Tanamal; Amanda Baber
Subject: Re: media type template (New Performance Metrics Regsitry)

Hi Al,

Here is some text that we discussed today:

10[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dippm-2Dmetric-2Dregistry-2D07-23section-2D10&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=JA6WmxqjhufpStq4BvXZgv1kZxyFE169UwsvhaqAYd0&e=>.  IANA Considerations

   This document specifies the procedure for the Performance Metrics
   Registry setup.  IANA is requested to create a new registry for
   Performance Metrics called "Registered Performance Metrics”.
   This registry will contain the following columns:

   Identifier:
   Name:
   URIs:
   Description:
   Reference:
   Change Controller:

   These columns, and additional information found in the template are
   further defined in Section 7[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dippm-2Dmetric-2Dregistry-2D07-23section-2D7&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=BbBsvDbKUt--VbQh8_Mut_fnFQ4N6k2-8_TeO8MFfO0&e=>.  The “Name” column will have a link to the full template.
   The “Reference” column will either include an RFC or the contact person.

   New assignments for the Performance Metric Registry will be administered
   by IANA through Expert Review [RFC5226[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc5226&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=4v543Hrxz7gAOK60txPh-bjp9cwbsIVm9ZP1eSjR1Lc&e=>], i.e., review by one of a
   group of experts, the Performance Metric Experts, appointed by the
   IESG upon recommendation of the Transport Area Directors.  The
   experts can be initially drawn from the Working Group Chairs and
   document editors of the Performance Metrics Directorate among other
   sources of experts.

   The Identifier 0 should be Reserved.  The Identifier values from
   64512 to 65536 are reserved for private use.  Names starting with
   the prefix Priv_ are reserved for private use, and are not considered
   for registration.

   This document requests the allocation of the URI prefix
   urn:ietf:params:ippm:metric for the purpose of generating URIs for
   Registered Performance Metrics.

   ???? Questions for you ????
   The last paragraph implies that something will be registered in
   http://www.iana.org/assignments/params/params.xhtml#params-1[iana.org]<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.iana.org_assignments_params_params.xhtml-23params-2D1&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=FCiauJFDsJ2MvBZq-ZNlVj_34UJcveFzZU05FugKzCM&e=>
   And possibly with another layer for “metrics” under “ppm”.
   Can you think about what you guys would like to do here?
   See RFC 6924 and RFC 3553 for further information about these registries.

   Also, you will want to add Change Controller to the template.  As we discussed,
   that helps for any future changes to the template.  I may not have perfectly
   captured everything we spoke about, however I think there is enough here to get you
   started on a revision.  Feel free to let us know when there is a new version of the draft
   to look at.

    Thanks!!

--Michelle

From: "MORTON, ALFRED C (AL)" <[email-masked]<mailto:[email-masked]>>
Date: Tuesday, June 28, 2016 at 3:03 PM
To: Amanda Baber <[email-masked]<mailto:[email-masked]>>, Michelle Cotton <[email-masked]<mailto:[email-masked]>>
Subject: RE: media type template (New Performance Metrics Regsitry)

Hi Amanda and Michelle,

As I started to update
https://tools.ietf.org/html/draft-ietf-ippm-metric-registry-06[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dietf-2Dippm-2Dmetric-2Dregistry-2D06&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=kf5xAv1cs7uLdtDTBzK-BupSm8bx5zzY2nJ6Dvzj9PM&e=>
and listened to the Audio of the IPPM session in BA,
I reminded myself that we talked about an early review
for the draft (although there are some pending changes).

So, I want to remind you, too ☺

There’s no rush on this but it will help to get
some feedback sooner than later.  We could plan
to spend some time in Berlin on details, if needed.

I also attach the brief exchange with Amanda
on HTML-izing flat ASCII files to help the reader
with references to RFCs by section. We left that
topic in agreement and in good shape.

regards,
Al

From: MORTON, ALFRED C (AL)
Sent: Tuesday, April 05, 2016 8:27 PM
To: 'Amanda Baber'
Subject: RE: media type template

Hi Amanda,

Thanks for the links.  I found the tool I was looking for:
https://tools.ietf.org/tools/rfcmarkup/[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_tools_rfcmarkup_&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=UVByfXRTR6CM1Zg7uYgxWs2azzPe1PhtBY2DPiiiq14&e=>

and I found that the up to date search tool

https://tools.ietf.org/html/[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=NGHN4wg3FyubyGDbZFvwV3HRznbI0nes_FUqBycXnd4&e=>

will generate the HTML markup references from a text file.

Using your template examples, it worked great!  See:

https://tools.ietf.org/rfcmarkup?url=http://www.iana.org/assignments/media-types/application/cbor[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_rfcmarkup-3Furl-3Dhttp-3A__www.iana.org_assignments_media-2Dtypes_application_cbor&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=CRqiwHPR2qp7ZyRxCcRKzJ4QcNUiLB_bD_lyciaz16c&e=>

and
https://tools.ietf.org/rfcmarkup?url=http://www.iana.org/assignments/media-types/application/1d-interleaved-parityfec[tools.ietf.org]<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_rfcmarkup-3Furl-3Dhttp-3A__www.iana.org_assignments_media-2Dtypes_application_1d-2Dinterleaved-2Dparityfec&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=hGNX2Pw0CvrsmA-BjbVDxyDxckHzqQqB1GqtxyPJ-T0&e=>

This was easier than I thought, I imagined having to simplify
Henrik’s python code ...

regards,
Al

From: Amanda Baber [mailto:[email-masked]]
Sent: Tuesday, April 05, 2016 12:18 PM
To: MORTON, ALFRED C (AL)
Subject: media type template

Try this?

http://www.iana.org/assignments/media-types/application/cbor[iana.org]<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.iana.org_assignments_media-2Dtypes_application_cbor&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=GL8xO15AYnCnYZO6OrR54xTg9xDaFusKrodsDWHwBP4&e=>

And others:

http://www.iana.org/assignments/media-types[iana.org]<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.iana.org_assignments_media-2Dtypes&d=DQMGaQ&c=FmY1u3PJp6wrcrwll3mSVzgfkbPSS6sJms7xcl4I5cM&r=DtXLhb_G8hD85GLUyK8Z_tHchz8XPohfWYCwPbpStcU&m=Cj7PdEwKLN0VN4mis4eLPlEFurtg22-yErGQKqMhdkI&s=7p9zr33P5YLsCrjXfXQhZCfu8-CO8H36I2cMSD9RAss&e=>

---

From: "MORTON, ALFRED C (AL)" <[email-masked]>
Date: Mon, 31 Oct 2016 18:53:32 +0000

IPPM,

For the upcoming IPPM discussion on the registry in Seoul,
I have updated the registry once more:
       https://tools.ietf.org/html/draft-ietf-ippm-metric-registry-09
and attempted to nail-down the direction for IANA-related
choices and resolve comments from IANA.

I have also updated the initial registry entries in
       https://tools.ietf.org/html/draft-ietf-ippm-initial-registry-02
to follow these changes.

At the Berlin meeting, the chairs asked if we would test the registry
format by preparing a Model-Based Metric entry (see ~0:56:00 in the video).
For logistical reasons I prepared this as a “part 2” of the initial-registry
in a separate draft:

       https://tools.ietf.org/html/draft-morton-ippm-mbm-registry-00
Both the WG drafts above take benefit from the exercise of preparing
this entry.

Comments on all three drafts are welcome.
Al
(for the many co-authors)

From: MORTON, ALFRED C (AL)
Sent: Wednesday, October 19, 2016 4:36 PM
To: 'Michelle Cotton'; [email-masked]; [email-masked]
Cc: Sabrina Tanamal; Amanda Baber
Subject: RE: media type template (New Performance Metrics Regsitry)

IPPM,

thanks,
Al
(for the co-authors)

Thanks!

--Michelle

Hi Michelle,

regards from Munich,
Al

Hello Al,

--Michelle

Hi Michelle,

            rfc-nss = "rfc:" 1*DIGIT

            fyi-nss = "fyi:" 1*DIGIT

            std-nss = "std:" 1*DIGIT

            bcp-nss = "bcp:" 1*DIGIT

            mtg-nss = "mtg:" string

            other-nss = string

thanks!
Al

Hi Al,

   Identifier:
   Name:
   URIs:
   Description:
   Reference:
   Change Controller:

    Thanks!!

--Michelle

Hi Amanda and Michelle,

As I started to update

regards,
Al

Hi Amanda,

and

regards,
Al

Try this?

And others: